nwazet.commerce for 1.7

Topics: General, Writing modules
Apr 20, 2014 at 10:19 AM
anyone has nwazet.commerce for orchard 1.7? my orchard is hosted and difficult to upgrade.
nwazet.commerce version 1.6 deosn't work with orchard 1.7.
version 1.8 only works with orchard 1.8?
Apr 20, 2014 at 2:49 PM
There is a fork of nwazet.Commerce by jao28, I used it with 1.7 since it had PayPal. I think it's still being merged to the original module, but there are some differences. If you don't plan to upgrade to 1.8 you might want to give it a try.

If you don't need PayPal and some other stuff the fork provides, I think you can find the version compatible to 1.7 in the commit history of the original module in bitbucket. I remember reading some comment by Bertrand that he marked a commit before starting the module 1.x complient, or "shifted".


Coordinator
Apr 27, 2014 at 8:00 AM
1.8 only works with 1.8, yes.
Aug 9, 2014 at 5:00 AM
BertrandLeRoy wrote:
1.8 only works with 1.8, yes.
I tried to download the old commits(for 1.7) from bitbucket, but failed to compile.
do you have old version for 1.7 to download somewhere?
thanks,
Aug 10, 2014 at 5:32 PM
I forked it at the last commit compatible with Orchard v 1.7.2

https://bitbucket.org/lfurzewaddock/nwazet.commerce-orchard-1.7.2